29.08.2023 Technical improvements have been implemented in Pricing and Sales services to increase the efficiency and flexibility of the service.
Adding a technical identifier in the Invoice service
On July 26, 2023, a technical ID was added to the Invoice service
- The Search Invoice operation (e.g. GET /ic/invoice?issueDateFrom=2023-03-01&issueDateTo=2023-03-05) additionally contains the techId element in the response.
- The Get Invoice Details operation can be invoked using a technical identifier. To use, in addition to the technical identifier, you must pass the query param techId with the value true, e.g. GET /ic/invoice/251191019?techId=true
Adding information about returns of uninvoiced goods
On June 27, 2023, a new version of the Delivery service was made available, which returns a new returnQuantity element in response - information about returns of uninvoiced goods. Example of a response with information about the returned quantity:
[
{
"id": "111111/XXX/2023",
"orderId": "222222/XXX/2023",
"billTo": "111111",
"shipTo": "222222",
"shipFrom": "XXX",
"deliveryMethod": "I",
"creationDate": "2023-06-01T10:52:46+02:00",
"currencyCode": "PLN",
"lines": [
{
"index": "D4-1594C",
"sku": "E15554",
"name": "Zestaw naprawczy zacisku hamulcowego",
"shippedQuantity": 1,
"returnedQuantity”: 1,
"unitPriceNet": 57.89,
"unitPriceGross": 71.2,
"vatPercentage": 23,
"totalNet": 57.89,
"totalGross": 71.2
}
]
}
]
New IC API servers
From 01.02.2023 to 15.02.2023 we plan to migrate IC servers. Accordingly, all customers will have to change their configuration settings. The URL and security information will change. All services, operations and parameters will remain the same.
A detailed migration plan will be sent out to all registered IC clients.
IC Product information
In January, a new feature of the Product Catalog will appear on IC API. With its help you can search for information about products/parts in IC's offer. Detailed information will be available soon.
Dropshiping available in production
Dropshipping sales APIs available for use.
